#ifndef EXCEPTION_HPP
#define EXCEPTION_HPP

#include <string>

// Base class for any exceptions in this library
class Exception {
  protected:
    std::string msg;
  public:
    const std::string& message() const { return msg; }
    explicit Exception(const std::string &msgA){ msg = msgA; }
    Exception() {}
    virtual ~Exception() {}
};

#endif // EXCEPTION_HPP
